package com.engine.salary.service;

import com.engine.salary.entity.siarchives.po.UfHrSbjsgzbPO;

import java.util.List;

/**
 * @author Harryxzy
 * @ClassName UfHrSbjsgzbService
 * @date 2024/12/20 10:03
 * @description 社保基数规则
 */
public interface UfHrSbjsgzbService {
    /**
     * 查询所有记录
     *
     * @return 返回集合，没有返回空List
     */
    List<UfHrSbjsgzbPO> listAll();


    /**
     * 根据主键查询
     *
     * @param id 主键
     * @return 返回记录，没有返回null
     */
    UfHrSbjsgzbPO getById(Integer id);

    /**
     * 新增，忽略null字段
     *
     * @param ufHrSbjsgzb 新增的记录
     * @return 返回影响行数
     */
    int insertIgnoreNull(UfHrSbjsgzbPO ufHrSbjsgzb);

    /**
     * 修改，修改所有字段
     *
     * @param ufHrSbjsgzb 修改的记录
     * @return 返回影响行数
     */
    int update(UfHrSbjsgzbPO ufHrSbjsgzb);

    /**
     * 修改，忽略null字段
     *
     * @param ufHrSbjsgzb 修改的记录
     * @return 返回影响行数
     */
    int updateIgnoreNull(UfHrSbjsgzbPO ufHrSbjsgzb);

}
